###############################################################################
#Programmer: Orcan Ogetbil    orcan@nbcs.rutgers.edu                          #
#Date: 07/27/2010                                                             #
#Filename: sendspam.py                                                        #
#                                                                             #
#                                                                             #
#       Copyright 2010 Orcan Ogetbil                                          #
#                                                                             #
#    This program is free software; you can redistribute it and/or modify     #
#    it under the terms of the GNU General Public License as published by     #
#    the Free Software Foundation; either version 2 of the License, or        #
#    (at your option) any later version.                                      #
#                                                                             #
#    This program is distributed in the hope that it will be useful,          #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of           #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            #
#    GNU General Public License for more details.                             #
#                                                                             #
###############################################################################
#
# Sends OSS the results of the pushpackage process.

import sys
import smtplib
import logging
import getpass
import rcommon

def sendspam(subject, body):
    config = rcommon.loadConfig()
    fromaddr = config.get("report", "from_addr")
    toaddrs = config.get("report", "to_addr")

    msg = """From: %s
To: %s
Subject: %s

%s

""" % (fromaddr, toaddrs, subject, body)
    
    smtp_host = config.get("report", "smtp_host")
    server = smtplib.SMTP(smtp_host)
    server.set_debuglevel(1)
    smtplib.stderr = sys.stdout
    try:
        server.sendmail(fromaddr, toaddrs, msg)
    except:
        theSuspect = config.get("report", "user")+"-"+getpass.getuser()
        my_logger = logging.getLogger(theSuspect)
        my_logger.error('sending mail failed')
